<?xml version="1.0" encoding="UTF-8"?>

<!--  $Id: MCTXUpdate.xsd,v 1.2 2003/06/18 12:54:25 visigoth_6 Exp $  -->
<!-- 
(c) visigoth <visigoth@securitycentric.com> 
This document is distrubuted under a BSD license.  Do
what you like with it, but keep the copyright.

Send me a bottle of wine:
3001 Park Center Drive #1613
Alexandria, VA, 22302
-->

<!-- Schema Notes:
This schema defines the XML used to communicate probe availability
and version information with the update interface...
-->

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

  <xsd:element name="update" type="MCTXUpdate"/>

  <xsd:complexType name="MCTXUpdate">
    <xsd:sequence>
      <xsd:element name="download_url" type="xsd:string"/>
      <xsd:element name="probe" type="MCTXProbe" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="conf_file" type="MCTXConfFile" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="jar" type="MCTXJar" minOccurs="0" maxOccurs="unbounded"/>
    </xsd:sequence>
  </xsd:complexType>


  <xsd:complexType name="MCTXProbe">
    <xsd:sequence>
      <xsd:element name="id" type="xsd:int"/>
      <xsd:element name="version" type="xsd:string"/>
      <xsd:element name="name" type="xsd:string"/>
      <xsd:element name="update" type="xsd:boolean" default="true"/>
      <xsd:element name="java_name" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXConfFile">
    <xsd:sequence>
      <xsd:element name="name" type="xsd:string"/>
      <xsd:element name="version" type="xsd:string"/>
      <xsd:element name="update" type="xsd:boolean" default="true"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXJar">
    <xsd:sequence>
      <xsd:element name="name" type="xsd:string"/>
      <xsd:element name="version" type="xsd:string"/>
      <xsd:element name="update" type="xsd:boolean" default="true"/>
    </xsd:sequence>
  </xsd:complexType>

</xsd:schema>
